SDK missing headers and lib for tutorial? Topic is solved

Problems building or running the engine, queries about how to use features etc.
Post Reply
rh_auto8
Gnoblar
Posts: 8
Joined: Sat Jul 07, 2018 8:16 pm

SDK missing headers and lib for tutorial?

Post by rh_auto8 » Sun Jul 08, 2018 11:26 am

Ogre Version: 1.11.1
Operating System: Windows 8.1

Hi All,

I've just tried using Ogre3d for the first time, and I'm at the setup stage of the tutorial. All the tutorials during the setup refer to using an include to an OGRE BOOST, and and say its in the OGRE SDK I downloaded. However, there is no sign of these in the SDK download. Heres an example for the QT setup tutorial:

Code: Select all

$(OGRE_HOME)\\include\\OIS
$(OGRE_HOME)\\boost
The tutorial also says to include OIS lib for which there isnt one. Should these been on here or is the tutorial really old and these arnt needed anymore?

I'm assuming these missing headers and library are the reason im getting the following comp error:

Code: Select all

undefined reference to `_imp___ZN4Ogre4RootC1ERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEES8_S8_'
Thanks for any help!!!
0 x

paroj
OGRE Team Member
OGRE Team Member
Posts: 615
Joined: Sun Mar 30, 2014 2:51 pm
x 85
Contact:

Re: SDK missing headers and lib for tutorial?

Post by paroj » Sun Jul 08, 2018 4:07 pm

rh_auto8 wrote:
Sun Jul 08, 2018 11:26 am
the tutorial really old and these arnt needed anymore?
this. You can find some updated tutorials here:
https://ogrecave.github.io/ogre/api/lat ... rials.html
1 x

rh_auto8
Gnoblar
Posts: 8
Joined: Sat Jul 07, 2018 8:16 pm

Re: SDK missing headers and lib for tutorial?

Post by rh_auto8 » Mon Jul 09, 2018 9:22 pm

Thanks for the reply. I'm looking at the new tutorial for 1.11.1, I'm quite new to CMake and the tutorial basically skims over all the setup and pretty much says, do this:

Code: Select all

# specify which version and components you need
find_package(OGRE 1.11 REQUIRED COMPONENTS Bites RTShaderSystem)
# copy resource.cfg next to our binaries where OGRE looks for it
file(COPY ${OGRE_CONFIG_DIR}/resources.cfg DESTINATION ${CMAKE_BINARY_DIR})
How and where do I configure where it should be looking for my SDK locations (does it even use (OGRE_HOME) any more?), for example its in:

Code: Select all

C:\Ogre3D\SDK\1_11_1\MSVC
I had a look around online, but again solutions seem to reference folder structures that are completely different or files that dont exist!

Thanks for any help!!!!
0 x

rh_auto8
Gnoblar
Posts: 8
Joined: Sat Jul 07, 2018 8:16 pm

Re: SDK missing headers and lib for tutorial?

Post by rh_auto8 » Mon Jul 09, 2018 9:52 pm

Following on from my last email, I managed to provide it with the OgreConfig.cmake by doing the following:

Code: Select all


# Stuff I added in that seemed missing....
cmake_minimum_required(VERSION 3.12)

set(SOURCE_FILES main.cpp)

set(OGRE_DIR $ENV{OGRE_HOME}\\CMake)
message("Ogre SDK is at = $ENV{OGRE_HOME}")
message("Ogre CMakes at = ${OGRE_DIR}")

# What the tutorial tells you to do........
# specify which version and components you need
find_package(OGRE 1.11.1 REQUIRED COMPONENTS Bites RTShaderSystem)

# copy resource.cfg next to our binaries where OGRE looks for it
file(COPY ${OGRE_CONFIG_DIR}/resources.cfg DESTINATION ${CMAKE_BINARY_DIR})
# End of tutorial

But now I get this :S, I dont understand how the SDKs own cmake file isnt compatiable with itself.........:

Code: Select all


Could not find a configuration file for package "OGRE" that is compatible
with requested version "1.11".

The following configuration files were considered but not accepted:

C:/Ogre3D/SDK/1_11_1/MSVC/CMake/OGREConfig.cmake, version: 1.11.1 (64bit)

Note: I changed the requested version to 1.11.1 and it still doesnt work
0 x

rh_auto8
Gnoblar
Posts: 8
Joined: Sat Jul 07, 2018 8:16 pm

Re: SDK missing headers and lib for tutorial?

Post by rh_auto8 » Tue Jul 10, 2018 10:03 pm

I'm going to say this particular issue isresolved. The tutorial linked by paroj above suggests that the OGRE WIKI tutorial (http://wiki.ogre3d.org/Setting+Up+An+Ap ... +QtCreator) is really out of date (at the bottom it says it was last updated in 2013 :shock:). My issues in the last 2 posts were down to CMake and my compiler version which I have now resolved. I'll mark paroj's answer as resolving this.
0 x

Post Reply